Skip to main content
POST
Run a transform against a sample, with no side effects

Path Parameters

project_id
string
required

Body

application/json
sample
object
required

endpoint: { body, headers?, method?, query? }. destination: { id?, dataset?, received_at?, data }.

source
string
transform_id
string

Used when source is not sent.

target
enum<string>
default:endpoint

Which shape the sample takes.

Available options:
endpoint,
destination

Response

The run.

ok
boolean
required
steps
integer
required
step_limit
integer
required
ms
number
required
logs
string[]
required
output
object

{ body?, headers?, drop?, reason? }, when ok.

error
object

When not ok: { code: syntax|unsupported|runtime|steps|size|depth|output, message, position? }.

skipped_headers
string[]

Destination only: output headers that would be ignored.